"""Add oauthclient_app table

Revision ID: fc0892d07771
Revises: 3fa0c38ea1ac
Create Date: 2022-11-02 09:52:09.510764

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'fc0892d07771'
down_revision = '3fa0c38ea1ac'
branch_labels = None
depends_on = None


def upgrade():
    oauthclient_app_table = op.create_table('oauthclient_app',
        sa.Column('oauthclient_id', mysql.VARCHAR(length=64), nullable=False),
        sa.Column('app_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=False),
        sa.ForeignKeyConstraint(['app_id'], ['app.id'], name='oauthclient_app_fk_app_id'),
        sa.PrimaryKeyConstraint('oauthclient_id'),
        mysql_default_charset='utf8mb3',
        mysql_engine='InnoDB'
    )
    values = [
        {"oauthclient_id": "dashboard"            , "app_id": 1},
        {"oauthclient_id": "wekan"                , "app_id": 2},
        {"oauthclient_id": "wordpress"            , "app_id": 3},
        {"oauthclient_id": "nextcloud"            , "app_id": 4},
        {"oauthclient_id": "zulip"                , "app_id": 5},
        {"oauthclient_id": "kube-prometheus-stack", "app_id": 6},
    ]
    op.bulk_insert(oauthclient_app_table, values)

def downgrade():
    op.drop_table('oauthclient_app')
